/*
	syslogdctl - syslog deamon controler
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "syslogdctlbase.h"

#include <qtabwidget.h>
#include <qlabel.h>
#include <qmultilineedit.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qwhatsthis.h>
#include <qcheckbox.h>
static const char* _version_ =
#include "./version.txt"
;

syslogdctlbase::syslogdctlbase( QWidget* parent,  const char* name,
																bool modal, WFlags fl )
: QDialog( parent, name, modal, fl )
{
	if ( !name )
	setName( "syslogdctl" );
	resize( 553, 263 ); 
	setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5,
												sizePolicy().hasHeightForWidth() ) );
	QString caption;
	caption = tr( "syslogd Controler" );
	caption += " Ver.";
	caption += _version_;
	setCaption( caption );

	BaseFormLayout = new QVBoxLayout( this ); 
	BaseFormLayout->setSpacing( 6 );
	BaseFormLayout->setMargin( 11 );

	Tabs = new QTabWidget( this, "Tabs" );
	BaseFormLayout->addWidget( Tabs );

	Tab1 = new QWidget( Tabs );
	TabBaseLayout1 = new QVBoxLayout( Tab1 ); 
	TabBaseLayout1->setSpacing( 6 );
	TabBaseLayout1->setMargin( 11 );

	StatusLayout = new QHBoxLayout( Tab1 ); 
	StatusLayout->setSpacing( 6 );
	StatusLayout->setMargin( 11 );

	StatusLabel = new QLabel( tr( "syslogd status :" ), Tab1, "StatusLabel" );
	StatusEdit = new QLineEdit( Tab1, "StatusEdit" );
	StatusEdit->setReadOnly( TRUE );
	StatusEdit->setAlignment( Qt::AlignCenter );

	StatusLayout->addWidget( StatusLabel );
	StatusLayout->addWidget( StatusEdit );

	TabBaseLayout1->addLayout( StatusLayout );

	AutoExecCheck = new QCheckBox( tr( "Auto Execute at REBOOT" ), Tab1, "AutoExecCheck" );

	TabBaseLayout1->addWidget( AutoExecCheck );

	StartButton = new QPushButton( Tab1, "StartButton" );
	StartButton->setText( tr( "Start syslogd" ) );

	TabBaseLayout1->addWidget( StartButton );

	StopButton = new QPushButton( Tab1, "StopButton" );
	StopButton->setText( tr( "Stop syslogd" ) );

	TabBaseLayout1->addWidget( StopButton );

	Tabs->addTab( Tab1, tr( "SETTING" ) );

	Tab2 = new QWidget( Tabs );
	TabBaseLayout2 = new QVBoxLayout( Tab2 ); 
	TabBaseLayout2->setSpacing( 6 );
	TabBaseLayout2->setMargin( 11 );

	SyslogConfEdit = new QMultiLineEdit( Tab2, "SyslogConfEdit" );
	SyslogConfEdit->setDefaultTabStop( 4 );
	TabBaseLayout2->addWidget( SyslogConfEdit );

	SaveButton = new QPushButton( Tab2, "SaveButton" );
	SaveButton->setText( tr( "save syslog.conf" ) );

	TabBaseLayout2->addWidget( SaveButton );

	Tabs->addTab( Tab2, tr( "syslog.conf" ) );
}

syslogdctlbase::~syslogdctlbase()
{
	// no need to delete child widgets, Qt does it all for us
}

